Name:		htmlparser
Version:        1.6
Release:        1%{?dist}
Summary:        HTML Parser, a Java library used to parse HTML

Group:          Development/Tools
License:        CPL or LGPLv2
URL:            http://htmlparser.sourceforge.net/
Source0:        http://downloads.sourceforge.net/htmlparser/htmlparser1_6_20060610.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:	java-devel >= 1.5 
BuildRequires:  jpackage-utils, ant

Requires:  java >= 1.5
Requires:  jpackage-utils


%description
HTML Parser is a Java library used to parse HTML in either a linear or
nested fashion. Primarily used for transformation or extraction, it features
filters, visitors, custom tags and easy to use JavaBeans. It is a fast,
robust and well tested package.

%package	javadoc
Summary:	Javadocs for %{name}
Group:          Documentation
%description 	javadoc
Requires:	%{name} = %{version}-%{release}
Requires:	jpackage-utils
This package contains the API documentation for %{name}.

%prep
%setup -q -n htmlparser1_6

find -name '*.jar' -o -name '*.class' -exec rm -f '{}' \;

%build
%__unzip src.zip

ant jar
ant javadoc

%install
rm -rf $RPM_BUILD_ROOT

install -D lib/htmlparser.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -D lib/htmllexer.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-lexer-%{version}.jar

pushd $RPM_BUILD_ROOT%{_javadir}
	ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
	ln -s %{name}-lexer-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/htmllexer.jar
popd


mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp docs/javadoc/ $RPM_BUILD_ROOT%{_javadocdir}/%{name}



%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc license.txt readme.txt docs/articles docs/bug.html docs/changes.txt docs/contributors.html docs/faq.html docs/htmlparser.jpg docs/htmlparserlogo.jpg docs/index.html  docs/joinus.html docs/mailinglists.html docs/main.html docs/panel.html docs/pics docs/release.txt docs/samples.html docs/support.html docs/wiki
%{_javadir}/*



%files javadoc
%defattr(-,root,root,-)
%doc license.txt
%{_javadocdir}/*

%changelog
* Mon Aug 25 2008 Ismael Olea <ismael@olea.org> 1.6-1olea
- first version

